
package com.tmerclub.cloud.user.vo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;

/**
 * 余额优惠券关联表VO
 *
 * @author tmerclub
 * @date 2021-04-27 15:51:36
 */
public class UserRechargeCouponVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "充值id")
    private Long rechargeId;

    @Schema(description = "优惠券id")
    private Long couponId;

    @Schema(description = "优惠券数量")
    private Integer couponNum;

    public Long getRechargeId() {
        return rechargeId;
    }

    public void setRechargeId(Long rechargeId) {
        this.rechargeId = rechargeId;
    }

    public Long getCouponId() {
        return couponId;
    }

    public void setCouponId(Long couponId) {
        this.couponId = couponId;
    }

    public Integer getCouponNum() {
        return couponNum;
    }

    public void setCouponNum(Integer couponNum) {
        this.couponNum = couponNum;
    }

    @Override
    public String toString() {
        return "UserRechargeCouponVO{" +
                "rechargeId=" + rechargeId +
                ",couponId=" + couponId +
                ",createTime=" + createTime +
                ",couponNum=" + couponNum +
                '}';
    }
}
